Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons
[Java] Class ServiceArtefactHandler

    java.lang.Object
      org.codehaus.groovy.grails.commons.ArtefactHandlerAdapter
          org.codehaus.groovy.grails.commons.ServiceArtefactHandler

    public class ServiceArtefactHandler
    extends ArtefactHandlerAdapter

Authors:
  Marc Palmer (marc@anyware.co.uk)

Field Summary
`static java.lang.String` | `PLUGIN_NAME`
`static java.lang.String` | `TYPE`

Fields inherited from class ArtefactHandlerAdapter
log

Constructor Summary
`ServiceArtefactHandler()`

Method Summary
`java.lang.String` | `getPluginName()`
`boolean` | `isArtefactClass(java.lang.Class clazz)`

Methods inherited from class ArtefactHandlerAdapter
getArtefactForFeature, getPluginName, getType, initialize, isArtefact, isArtefactClass, isArtefactGrailsClass, newArtefactClass

Field Detail

### PLUGIN_NAME

    public static final java.lang.String PLUGIN_NAME

### TYPE

    public static final java.lang.String TYPE

Constructor Detail

### ServiceArtefactHandler

    public ServiceArtefactHandler()

Method Detail

### getPluginName

    @Override
    public java.lang.String getPluginName()

### isArtefactClass

    @SuppressWarnings("rawtypes")
    @Override
    public boolean isArtefactClass(java.lang.Class clazz)

Groovy Documentation